Bug 197167 - [GLib] Rework WPE RunLoopSourcePriority values
Summary: [GLib] Rework WPE RunLoopSourcePriority values
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-22 10:37 PDT by Zan Dobersek
Modified: 2019-05-08 23:38 PDT (History)
7 users (show)

See Also:


Attachments
WIP (1.89 KB, patch)
2019-04-22 10:39 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (2.38 KB, patch)
2019-05-06 02:45 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews210 for win-future (13.54 MB, application/zip)
2019-05-06 06:31 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2019-04-22 10:37:30 PDT
[GLib] Rework WPE RunLoopSourcePriority values
Comment 1 Zan Dobersek 2019-04-22 10:39:09 PDT
Created attachment 367949 [details]
WIP
Comment 2 Zan Dobersek 2019-05-06 02:45:59 PDT
Created attachment 369116 [details]
Patch
Comment 3 Carlos Garcia Campos 2019-05-06 02:58:27 PDT
Comment on attachment 369116 [details]
Patch

I think we should also update fdo backend in jhbuild as part of this patch, since priorities were changed there too
Comment 4 Build Bot 2019-05-06 06:31:12 PDT
Comment on attachment 369116 [details]
Patch

Attachment 369116 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12110999

New failing tests:
http/tests/css/filters-on-iframes.html
Comment 5 Build Bot 2019-05-06 06:31:14 PDT
Created attachment 369120 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 6 Zan Dobersek 2019-05-08 23:34:48 PDT
(In reply to Carlos Garcia Campos from comment #3)
> Comment on attachment 369116 [details]
> Patch
> 
> I think we should also update fdo backend in jhbuild as part of this patch,
> since priorities were changed there too

That was done in bug #197697.
Comment 7 Zan Dobersek 2019-05-08 23:37:13 PDT
Comment on attachment 369116 [details]
Patch

Clearing flags on attachment: 369116

Committed r245096: <https://trac.webkit.org/changeset/245096>
Comment 8 Zan Dobersek 2019-05-08 23:37:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2019-05-08 23:38:28 PDT
<rdar://problem/50612064>